Add specific location

Adds a location to a site's content library. It's returned in the content library's additional_locations.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
 "phones": [
  {
   "phoneNumber": "123-123-4321",
   "label": "Main Phone"
  },
  {
   "phoneNumber":"123-123-5321",
   "label":"Scheduling"
  }
 ],
 "emails": [
  {
   "emailAddress":"[email protected]",
   "label":"Colorado Office Email"
  }
 ],
 "label": "Duda Colorado - Goosetail Labs",
 "social_accounts": {
  "facebook":"duda",
  "twitter":"dudamobile"
 },
 "address": {
  "streetAddress":"197 S 104th St C",
  "city":"Louisville",
  "postalCode":"80027",
  "country":"US"
 },
 "logo_url": "https://www.duda.co/developers/REST-API-Reference/images/duda.svg",
 "business_hours":  [
   {
    "days": [
     "MON",
     "TUE",
     "WED",
     "THU",
     "FRI"
    ],
    "open": "09:00",
    "close": "18:00"
   }
  ]
}
📘

Duda expects a JSON object describing the location details. You can see the full representation to the right.

🚧

This API endpoint is currently not available for testing through this document site.

Path Params
string
required

The site's unique name (its ID), returned when the site is created.

Body Params
address
object
business_hours
array of objects
business_hours
emails
array of objects
emails
geo
object
string
string
phones
array of objects
phones
schema
object
social_accounts
object
string
Responses

405

Method Not Allowed

500

Internal Server Error

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json